MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
StoragePlugin Struct Reference

`#include <StoragePlugin.hxx>`

Collaboration diagram for StoragePlugin:
[legend]

## Data Fields
const char * | name
Storage *(* | create_uri )(EventLoop &event_loop, const char *uri)
| Throws #std::runtime_error on error. More...

## Detailed Description

Definition at line 28 of file StoragePlugin.hxx.

## Field Documentation

Storage*(* StoragePlugin::create_uri) (EventLoop &event_loop, const char *uri)

Throws #std::runtime_error on error.

Definition at line 34 of file StoragePlugin.hxx.

const char* StoragePlugin::name

Definition at line 29 of file StoragePlugin.hxx.

The documentation for this struct was generated from the following file:

- storage/StoragePlugin.hxx